import setuptools
from pathlib import Path

setuptools.setup(
    name='host_rate_limit',
    version='1.0.0',
    author='Dan Kelleher',
    author_email='kelleherjdan@gmail.com',
    maintainer='Dan Kelleher',
    maintainer_email='kelleherjdan@gmail.com',
    description="Rate limit function calls based on URL's host.",
    long_description=Path(__file__).parent.joinpath('README.md').read_text(),
    long_description_content_type='text/markdown',
    packages=['host_rate_limit'],
    url='https://github.com/djkelleher/host-rate-limit',
    extras_require={
        'test': ['pytest', 'pytest_asyncio'],
    },
    classifiers=[
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'License :: OSI Approved :: MIT License',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent', 'Topic :: Internet',
    ],
)
